@media (min-width: 1200px) {
    header .container,
    .section-breadcrumb .container {
        max-width: 90%;
    }
}

@media screen and (max-width: 1400px) and (min-width: 1200px) {
    header .container {
        max-width: 98%;
    }

    .header-navigation .navigation-wrap ul {
        gap: 15px !important;
    }
}

@media (max-width: 1199px) {
    .section-hero .hero-content {
        padding: 50px 50px 80px 50px;
    }
    .section-hero .hero-content_title{
        font-size: 1.8em;
    }

    header {
        background: linear-gradient(to bottom, #004a87f0, #046abf 95%);
        backdrop-filter: blur(10px);
        border-bottom: 1px solid #9dbfd3a8;
    }

    .header-bottom {
        height: 65px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .header-logo {
        width: 90px;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .is-scroll .header-logo {
        width: 90px;
    }

    .is-scroll .header-bottom__wrap {
        padding: 0;
    }

    .header-navigation__close .icon {
        position: relative;
        width: 65px;
        height: 65px;
        transition: var(--transition-default);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .header-navigation__close > svg path {
        fill: var(--bs-white);
    }

    .header-navigation__close .rotate-logo {
        transition: var(--transition-default);
        transform-origin: center;
        animation: animation-logo 5s infinite linear;
    }

    @keyframes animation-logo {
        100% {
            transform: rotate(360deg);
        }
    }
    .header-overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background: rgb(2 11 16 / 93%);
        backdrop-filter: blur(6px);
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        z-index: 15;
        transition: var(--transition-default);
    }

    .is-overflow .header-overlay {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    .header-navigation {
        position: fixed;
        top: 0;
        z-index: 20;
        left: 0;
        max-width: 0;
        width: 100%;
        height: 100vh;
        background-color: rgb(var(--primary-rgb), 0.98);
        padding: 50px;
        -webkit-transition: all .5s ease 0s;
        -moz-transition: all .5s ease 0s;
        -ms-transition: all .5s ease 0s;
        -o-transition: all .5s ease 0s;
        transition: all .5s ease 0s;
        overflow: hidden;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;

    }

    .is-navigation .header-navigation {
        max-width: 500px;
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }

    .header-navigation ul {
        flex-direction: column !important;
        align-items: flex-start !important;
        -webkit-transition: all .4s ease 0s;
        -moz-transition: all .4s ease 0s;
        -ms-transition: all .4s ease 0s;
        -o-transition: all .4s ease 0s;
        transition: all .4s ease 0s;
        transition-delay: 0.4s;
        transform: translateX(-30%);
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
    }

    .is-navigation .header-navigation ul {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transform: translateX(0);
    }

    .header-navigation ul > li > a,
    .header-navigation ul > li > button {
        color: var(--bs-white);
        font-size: 18px;
        padding: 0;
    }

    .header-navigation ul > li:hover > a, .header-navigation ul > li:hover > button {
        color: var(--bs-gray-100) !important;
    }

    .header-navigation ul > li .number {
        font-size: 15px;
    }

    .header-navigation ul > li > ul {
        position: unset;
        top: unset;
        left: unset;
        width: unset;
        background-color: unset;
        box-shadow: unset;
        backdrop-filter: unset;
        border-radius: 0;
        opacity: unset;
        visibility: unset;
        pointer-events: unset;
        border-left: 1px solid var(--secondary-color);
        padding: 0;
        margin: 15px 0 15px 30px;
    }

    .header-navigation ul > li > ul > li > a {
        font-weight: 400;
        font-size: 16px;
    }

    .header-navigation ul > li > ul > li:hover > a {
        margin-left: 12px;
    }

    .header-navigation ul > li > ul > li > a::before {
        left: 8px;
    }

    .header-navigation ul > li > ul > li + li {
        border-top: 1px solid transparent;
    }

    .header-navigation .menu-child {
        display: none !important;
    }

    .header-search {
        color: var(--bs-white) !important;
    }

    .header-language__mobile {
        font-size: 1em;
        margin-right: 10px;
        padding-right: 12px;
    }

    .header-language__mobile.pseudo-after::after {
        top: 50%;
        left: unset;
        right: 0;
        width: 1px;
        height: 18px;
        transform: translateY(-50%);
        background-color: #ffffff7d;
    }

    .header-language__mobile a {
        color: var(--bs-gray-300);
        opacity: 0.7;
    }

    .header .tool-search .tool-search_inner {
        background-color: var(--bs-white);
    }

    .header .tool-search .tool-search_inner input {
        color: var(--bs-gray-800) !important;
    }

    .header .tool-search .tool-search_inner input::-webkit-input-placeholder,
    .header .tool-search .tool-search_inner input::-moz-placeholder,
    .header .tool-search .tool-search_inner input:-ms-input-placeholder,
    .header .tool-search .tool-search_inner input::-ms-input-placeholder {
        color: var(--bs-gray-800);
        opacity: .9;
    }

    .header .tool-search .tool-search_inner input::placeholder {
        color: var(--bs-gray-800);
        opacity: .9;
    }

    .tool-search .tool-search_inner button {
        background-color: var(--primary-color);
        color: var(--bs-white);
    }

    .section-hero .hero-content {
        font-size: 13px;
    }

    .button-theme .icon-svg {
        width: 45px;
        height: 45px;
    }


    .section-html .building {
        width: 270px;
        height: 370px;
        left: 0;
        opacity: 0.3;
    }

    .section-html .svg-decor {
        width: 380px;
        height: 337px;
        opacity: 0.15;
    }
}

@media (max-width: 1024px) {
    .section-html .section-heading {
        margin-bottom: 30px;
    }

    .section-heading .heading-title {
        font-size: 1.7em;
    }

    .section-html .swiper-wrapper {
        margin-top: 50px;
    }

    .project-item .project-item__logo {
        width: 120px;
        height: 120px;
    }

    .project-item .card-body {
        padding: 100px 0 10px 0;
    }

    .card-corporate__logo {
        max-width: 160px;
        height: 60px;
    }

    .section-tab .nav-link {
        padding: 8px 22px;
        font-size: 14px;
    }


    .section-breadcrumb__svg {
        width: 80px;
        height: 80px;
    }

    .footer-logo {
        width: 150px;
    }
    .section-introduce-3,
    .section-introduce-3 .introduce-3__wrap{
        padding:50px 0 100px;
    }

    .section-introduce__building {
        width: 50vw;
        height: 300px;
    }

}

@media (max-width: 991px) {
    .section-hero .hero-content_title {
        font-size: 1.6em;
    }
    .section-hero .button-theme .icon-svg {
        width: 40px;
        height: 40px;
    }
    .section-breadcrumb {
        padding: 150px 0 30px;
    }

    .section-breadcrumb__title {
        font-size: 1.8em;
    }

    .section-hero .btn-prev, .section-hero .btn-next {
        width: 30px;
        height: 30px;
    }

    .card-corporate__image {
        width: 100%;
    }

    .detail-article .section-breadcrumb::after,
    .page-article .section-breadcrumb::after,
    .page-partner .section-breadcrumb::after {
        position: unset;
        content: unset;
        background: unset;
    }

    .detail-article_title.heading-title-2 {
        font-size: 1.5em;
    }

    .tab-category {
        transform: translateY(0);
        background-color: var(--primary-color);

    }

    .tab-category ul,
    .page-gallery .category-gallery > ul {
        overflow-x: auto;
    }

    .tab-category ul > li > a {
        font-size: 1em;
    }

    .page-gallery .category-gallery > ul > li {
        font-size: 1em;
        padding: 9px 20px;
    }

    .detail-project__desc.pseudo-after::after,
    .detail-project__related.pseudo-after::after {
        width: 100vw;
    }

    .detail-project__related {
        padding: 70px 0 35px;
    }

    .detail-project {
        overflow: hidden;
    }

    .card-project-2__title {
        font-size: 1.25em !important;
    }

    .card-project-2__link.button-theme {
        font-size: 1em;
    }

    .section-values {
        padding: 50px 0 20px 0;
    }

    .section-values .section-heading {
        position: unset;
        top: unset;
    }

    .card-values {
        padding: 40px 25px 20px 25px;
    }

    .card-values.pseudo-after::after {
        opacity: 1;
        height: 100%;
    }

    .section-vision__wrap {
        padding: 35px 20px;
        background: linear-gradient(to right, #004a87f0, #046abf96 95%);
    }

    .section-vision__wrap .vision-left {
        width: 100%;
    }

    .section-vision__wrap .vision-image {
        position: unset;
        top: unset;
        right: unset;

    }

    .section-vision__logo {
        top: unset;
        right: -19px;
        bottom: 77px;
        width: 200px;
    }

    .detailContent h1 {
        font-size: 1.35em;
    }

    .detailContent h2 {
        font-size: 1.3em;
    }

    .detailContent h3 {
        font-size: 1.25em;
    }

    .detailContent h4 {
        font-size: 1.2em;
    }

    .detailContent h5 {
        font-size: 1.15em;
    }

    .detailContent h6 {
        font-size: 1.1em;
    }

    .section-html {
        padding: 50px 0;
    }
    .section-partner{
        padding:50px 0 20px;
    }

}

@media (max-width: 767px) {
    .section-heading .heading-title {
        font-size: 1.6em;
    }

    .section-heading .heading-title-2 {
        font-size: 1.5em;
    }

    .card-html .icon {
        width: 70px;
        height: 70px;
        top: -35px;
    }

    .detail-article__date {
        border-right: 1px solid transparent;
    }

    .card-corporate__title {
        font-size: 1.4em !important;
    }

    footer {
        padding-bottom: 70px;
    }

    .scroll-top {
        bottom: 80px;
    }

    .floating-product {
        font-size: 14px;
        padding: 12px 2px 5px 2px;
    }

    .section-introduce__building img {
        object-fit: contain;
    }

}

@media (max-width: 576px) {
    .section-hero .hero-content{
        padding:30px 0;
    }
    .section-hero .hero-content_title {
        font-size: 1.3em;
    }
    .section-hero .button-theme .icon-svg {
        width: 35px;
        height: 35px;
    }
    .header-navigation {
        padding: 30px;
    }

    .section-breadcrumb {
        padding: 100px 0 20px;
    }

    .section-introduce__building {
        width: 90vw;
        bottom: -30px;
    }

    .footer-animation, .section-animation-text {
        animation: scrollRight 8s linear 0s infinite;
    }

    .page-contact__logo {
        width: 200px;
        height: 113px;

    }

    .loading-page .logo {
        width: 220px;
    }
}

@media (max-width: 375px) {
    .article-card__link.pseudo-before::before {
        left: -70%;
        width: 70%;
    }

    .floating-tool .tool-text {
        font-size: 14px;
    }

    .header-navigation ul > li .number {
        font-size: 13px;
    }

    .header-navigation ul > li > a,
    .header-navigation ul > li > button {
        font-size: 16px;
    }
}

